import org.graphstream.graph.Graph;
import org.graphstream.graph.implementations.SingleGraph;
import org.graphstream.stream.GraphParseException;
import org.graphstream.graph.implementations.DefaultGraph;
import org.graphstream.stream.file.FileSource;
import org.graphstream.stream.file.FileSourceEdge;
import org.graphstream.stream.file.FileSourceFactory;


import java.io.IOException;

public class DBLP {

    public static void main(String[] args) throws IOException, GraphParseException {
        System.setProperty("org.graphstream.ui", "swing");
        Graph graph = new DefaultGraph("RI");

        String filePath = "src/main/resources/ungraph.txt";
        FileSource fs = new FileSourceEdge();
        fs.addSink(graph);

        try {
            fs.readAll(filePath);
            System.out.println("Le nombre de noeud est : "+graph.getNodeCount());
            System.out.println("Le nombre de lien est : "+graph.getEdgeCount());

        } catch( IOException ignored) {

        } finally {
            fs.removeSink(graph);
        }


    }
}
